com.r3corda.contracts.cash / Cash / State

# State

`data class State : State<Currency>`

A state representing a cash claim against some party

### Constructors

<init> | `State(deposit: PartyAndReference, amount: Amount<Currency>, owner: PublicKey, notary: Party)` A state representing a cash claim against some party

### Properties

amount | `val amount: Amount<Currency>`
contract | `val contract: Cash` Contract by which the state belongs
deposit | `val deposit: PartyAndReference` Where the underlying currency backing this ledger entry can be found (propagated)
issuanceDef | `val issuanceDef: IssuanceDefinition<Currency>`
notary | `val notary: Party` Identity of the notary that ensures this state is not used as an input to a transaction more than once
owner | `val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Functions

toString | `fun toString(): String`
withNewOwner | `fun withNewOwner(newOwner: PublicKey): <ERROR CLASS>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone

### Extension Functions

issued by | `infix fun State.issued by(party: Party): State`
owned by | `infix fun State.owned by(owner: PublicKey): State`